class Outer
{
    int x;

    class Inner
    {
        int y;

        this()
        {
            x = 42;
            // x – то же, что this.outer.x
            assert(this.outer.x == 42);
        }
    }
}

unittest
{
    auto outer = new Outer;
    auto inner = outer.new Inner;
    assert(outer.x == 42); // Вло­жен­ный объ­ект inner из­ме­нил внеш­ний объ­ект outer
}
